# 32/64bit spec-file
#

%define major 1
%define libname %mklibname pwquality %major
%define develname %mklibname pwquality -d

Name:		libpwquality
Version:	1.3.0
Release:	%mkrel 1
Summary:	A library for password generation and password quality checking
# The package is BSD licensed with option to relicense as GPL+
# - this option is redundant as the BSD license allows that anyway.
License:	BSD or GPL+
Group:		System Environment/Base
URL:		http://libpwquality.fedorahosted.org/
Source0:	http://fedorahosted.org/releases/l/i/libpwquality/libpwquality-%{version}.tar.xz
#Patch1:		libpwquality-1.0.0-oldpython.patch

BuildRequires:	%{_lib}crack-devel
BuildRequires:	gettext
BuildRequires:	%{_lib}pam-devel
BuildRequires:	%{_lib}python-devel
Requires:	cracklib-dicts >= 2.8
Requires:	pam
BuildRoot:     %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a library for password quality checks and generation
of random passwords that pass the checks.
This library uses the cracklib and cracklib dictionaries
to perform some of the checks.


%package -n %libname
Summary: A library for password generation and password quality checking
Group: System Environment/Base
Requires:	cracklib-dicts >= 2.8
Requires:	pam
Provides:	libpwquality
Obsoletes:	libpwquality < 1.3.0

%description -n %libname
This is a library for password quality checks and generation
of random passwords that pass the checks.
This library uses the cracklib and cracklib dictionaries
to perform some of the checks.


%package -n %develname
Group: Development/Libraries
Summary: Files needed for developing PAM-aware applications and modules for PAM
Requires: %libname
Requires: pkgconfig
Provides: libpwquality-devel = %version
Obsoletes: libpwquality-devel < %version

%description -n %develname
Files needed for development of applications using the libpwquality
library.
See the pwquality.h header file for the API.


%package -n python-pwquality
Group: Development/Libraries
Summary: Python bindings for the libpwquality library
Requires: %libname

%description -n python-pwquality
This is pwquality Python module that provides Python bindings
for the libpwquality library. These bindings can be used
for easy password quality checking and generation of random
pronounceable passwords from Python applications.

%prep
%setup -q

%build
#autoreconf -fi
%configure \
	--with-securedir=/%{_lib}/security \
	--with-pythonsitedir=%{python_sitearch} \
	--disable-static \
	--disable-rpath

%make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

pushd $RPM_BUILD_ROOT%{_libdir}
mv libpwquality.so.* $RPM_BUILD_ROOT/%{_lib}/
ln -sf ../../%{_lib}/libpwquality.so.*.* libpwquality.so
popd
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/etc/security/*.la
rm -f $RPM_BUILD_ROOT/%{_lib}/security/*.la

%find_lang libpwquality

%check
# Nothing yet

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig


%files -n %libname -f libpwquality.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS AUTHORS
%{_bindir}/pwmake
%{_bindir}/pwscore
/%{_lib}/security/pam_pwquality.so
/%{_lib}/libpwquality.so.%{major}*
%config(noreplace) /etc/security/pwquality.conf
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%files -n %develname
%defattr(-,root,root,-)
%{_includedir}/pwquality.h
%{_libdir}/libpwquality.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/pwquality.3.bz2

%files -n python-pwquality
%defattr(-,root,root,-)
%{python_sitearch}/pwquality.so
%{_libdir}/python2.7/site-packages/pwquality-%{version}-py2.7.egg-info

%changelog
* Sat Mar 05 2016 ghostbunny <ghostbunny at gmx dot de> 1.3.0-1pclos2016
- 1.3.0
- remove python2.6 patch
- fix library names for 64 bit

* Mon Mar 25 2013 pinoc <vogtpet at gmail.com> 1.2.1-2pclos2013
- added autoreconf to also build on 64

* Wed Jan 16 2013 gseaman <galen.seaman at comcast.net> 1.2.1-1gseaman2013
- added patch from Fedora for 64-bit and old python
